package main

import (
	"fmt"
	"log"
	"ocl/portainer-devtool/repositories"
	"ocl/portainer-devtool/utils"
)

const (
	MENU_OPTION_EE_REPO int = iota + 1
	MENU_OPTION_CE_REPO
	MENU_OPTION_AGENT_REPO
	MENU_OPTION_OTHERS
)

func main() {

	utils.MenuPrint()

	var option int
	_, err := fmt.Scanf("%d", &option)
	if err != nil {
		log.Fatal(err)
	}

	var action repositories.Actioner
	switch option {
	case MENU_OPTION_EE_REPO:
		action = repositories.NewPortainerEERepository()
	case MENU_OPTION_CE_REPO:

	case MENU_OPTION_AGENT_REPO:

	case MENU_OPTION_OTHERS:

	}

	log.Fatal(action.Execute())
}
